
QGIS Application - Bug report #11745

qgis crashes when trying to "export atlas as pdf"

2014-11-26 02:40 AM - zimirrr leonid

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19978

Description

to repeat a crash:

1. open a project with Composer

2. table for atlas already selected, nothing changing, try to "export atlas as pdf" 

3. unselect "to print as raster", push "close" and qgis crashes

if try to "export atlas as images" - everything ok

if select another table for export - everything ok

if select another table for export and then back first table - everything ok

History

#1 - 2014-11-26 03:47 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this - can you please share a minimal project file with data which exhibits this issue?

#2 - 2014-11-26 05:11 AM - zimirrr leonid

- Status changed from Feedback to Closed

my proj has a lot of layers, lot of data.

I tried to make a simple project with 2 layers and composer, couldn't reproduce the crash also.

Seems some small bug.

#3 - 2014-11-26 02:23 PM - Nyall Dawson

Do you mind sharing just your project file? I suspect if there's an issue it may be in the upgrade of project files between QGIS versions.

#4 - 2014-11-27 01:39 AM - zimirrr leonid

- File m25k_test15_990x680.qgs added

this project was created on qgis 2.6
Files

qgis_dump.zip 3.31 MB 2014-11-26 zimirrr leonid

m25k_test15_990x680.qgs 1.38 MB 2014-11-27 zimirrr leonid
